Bug 92119 - Kernel Panic with IPTABLES messages
Kernel Panic with IPTABLES messages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://www.psychosoft.com.br
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 17:30 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-10 13:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-02 17:30:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
I got some errors in my messages log. After this, my machine is freezed.

Following, the error messages:

Jun  1 23:06:50 frodo kernel: kernel BUG at page_alloc.c:114!
Jun  1 23:06:50 frodo kernel: invalid operand: 0000
Jun  1 23:06:50 frodo kernel: ipt_MASQUERADE iptable_nat ip_conntrack 3c59x 
8139too mii iptable_filter ip_tables mousedev keybdev hid input usb-ohci 
usbcore ext3 jbd sd_mod scsi_mod  
Jun  1 23:06:50 frodo kernel: CPU:    0
Jun  1 23:06:50 frodo kernel: EIP:    0010:[<c013a7d3>]    Not tainted
Jun  1 23:06:50 frodo kernel: EFLAGS: 00010286
Jun  1 23:06:50 frodo kernel: 
Jun  1 23:06:50 frodo kernel: EIP is at __free_pages_ok [kernel] 0x323 (2.4.20-
13.8)
Jun  1 23:06:50 frodo kernel: eax: 00000033   ebx: c131d498   ecx: 00000001   
edx: ce08c000
Jun  1 23:06:50 frodo kernel: esi: ce5519a8   edi: 00000000   ebp: 00000000   
esp: c8c3bdf8
Jun  1 23:06:50 frodo kernel: ds: 0018   es: 0018   ss: 0018
Jun  1 23:06:50 frodo kernel: Process init (pid: 1956, stackpage=c8c3b000)
Jun  1 23:06:50 frodo kernel: Stack: c025c240 00000002 00000023 00000217 
c0309400 c1038030 c030964c ce5519a8 
Jun  1 23:06:50 frodo kernel:        c8ec1ff8 00002000 c131d498 c8ec1ff8 
00002000 0e3cb067 c012aeac c131d498 
Jun  1 23:06:50 frodo kernel:        00000000 c012d507 ca5b1780 bfc00000 
c8ec1ff8 c89c1300 00000001 c0000000 
Jun  1 23:06:50 frodo kernel: Call Trace:   [<c012aeac>] __free_pte [kernel] 
0x4c (0xc8c3be30))
Jun  1 23:06:50 frodo kernel: [<c012d507>] zap_pte_range [kernel] 0x137 
(0xc8c3be3c))
Jun  1 23:06:50 frodo kernel: [<c012b50b>] zap_page_range [kernel] 0xcb 
(0xc8c3be64))
Jun  1 23:06:50 frodo kernel: [<c012eacf>] exit_mmap [kernel] 0xaf (0xc8c3bea4))
Jun  1 23:06:50 frodo kernel: [<c011941a>] mmput [kernel] 0x4a (0xc8c3bec8))
Jun  1 23:06:50 frodo kernel: [<c011e006>] do_exit [kernel] 0xa6 (0xc8c3bed8))
Jun  1 23:06:50 frodo kernel: [<c01242fc>] sig_exit [kernel] 0xac (0xc8c3bef4))
Jun  1 23:06:50 frodo kernel: [<c01244e4>] dequeue_signal [kernel] 0x64 
(0xc8c3befc))
Jun  1 23:06:50 frodo kernel: [<c0108dab>] do_signal [kernel] 0x1ab 
(0xc8c3bf14))
Jun  1 23:06:50 frodo kernel: [<c0125b00>] sys_rt_sigaction [kernel] 0xa0 
(0xc8c3bf64))
Jun  1 23:06:50 frodo kernel: [<c0108342>] sys_sigreturn [kernel] 0xf2 
(0xc8c3bf94))
Jun  1 23:06:50 frodo kernel: [<c0109098>] signal_return [kernel] 0x14 
(0xc8c3bfc0))
Jun  1 23:06:50 frodo kernel: 
Jun  1 23:06:50 frodo kernel: 
Jun  1 23:06:50 frodo kernel: Code: 0f 0b 72 00 88 ba 25 c0 e9 1b fd ff ff 0f 
0b 61 00 88 ba 25 



Version-Release number of selected component (if applicable):
kernel-2.4.20

How reproducible:
Sometimes

Steps to Reproduce:
1. Use the NAT script bellow
2. Perform some huge internet access

    

Actual Results:  The same errors and machine freezing

Additional info:

This machine is connected in an ADSL modem, performing a NAT to an internal 
network. This is the script that performs the NAT in the system initialization:

modprobe iptable_nat
iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
Comment 1 Need Real Name 2003-06-03 11:06:11 EDT
Today I got the same error, now running qmail_rspawn utility.
Comment 2 Need Real Name 2003-07-10 13:49:02 EDT
I solved the problem. I had a problem with my cooller... The processor was very 
hot :)

Thanks a lot

Note You need to log in before you can comment on or make changes to this bug.